Loading...
Searching...
No Matches
osmo_iuup_rnl_config Struct Reference

`#include <iuup.h>`

## Data Fields

bool | transparent
bool | active
uint8_t | data_pdu_type
uint16_t | supported_versions_mask
uint8_t | num_rfci
uint8_t | num_subflows
bool | IPTIs_present
struct osmo_iuup_rfci | rfci [IUUP_MAX_RFCIS]
struct osmo_iuup_rnl_config_timer | t_init
struct osmo_iuup_rnl_config_timer | t_ta
struct osmo_iuup_rnl_config_timer | t_rc

## Field Documentation

## active

bool osmo_iuup_rnl_config::active

## data_pdu_type

uint8_t osmo_iuup_rnl_config::data_pdu_type

## IPTIs_present

bool osmo_iuup_rnl_config::IPTIs_present

## num_rfci

uint8_t osmo_iuup_rnl_config::num_rfci

## num_subflows

uint8_t osmo_iuup_rnl_config::num_subflows

## rfci

struct osmo_iuup_rfci osmo_iuup_rnl_config::rfci[IUUP_MAX_RFCIS]

## supported_versions_mask

uint16_t osmo_iuup_rnl_config::supported_versions_mask

## t_init

struct osmo_iuup_rnl_config_timer osmo_iuup_rnl_config::t_init

## t_rc

struct osmo_iuup_rnl_config_timer osmo_iuup_rnl_config::t_rc

## t_ta

struct osmo_iuup_rnl_config_timer osmo_iuup_rnl_config::t_ta

## transparent

bool osmo_iuup_rnl_config::transparent

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/iuup.h